﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace BlitWriteableBitmapSample
{
	public class Particle
	{
		public Point Position;
		public Point Velocity;
		public Color Color;
		public double Lifespan;
		public double Elapsed;

		public void Initiailize()
		{
			Elapsed = 0;
		}
		public void Update(double elapsedSeconds)
		{
			Elapsed += elapsedSeconds;
			if (Elapsed > Lifespan)
			{
				Color.A = 0;
				return;
			}
			Color.A = (byte)(255 - ((255 * Elapsed)) / Lifespan);
			Position.X += Velocity.X * elapsedSeconds;
			Position.Y += Velocity.Y * elapsedSeconds;
		}
	}
}
